{
    attributes = (
        {
            allowsNull = Y; 
            columnName = ACCES; 
            externalType = VARCHAR2; 
            name = acces; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = ALIAS_GROUPE; 
            externalType = VARCHAR2; 
            name = aliasGroupe; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            columnName = AUTORISE; 
            externalType = NUMBER; 
            name = autorise; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = LIBELLE_GROUPE; 
            externalType = VARCHAR2; 
            name = libelleGroupe; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            columnName = NUMERO_GROUPE; 
            externalType = VARCHAR2; 
            name = numeroGroupe; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = NUMERO_PERE; 
            externalType = VARCHAR2; 
            name = numeroPere; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = type_Struct; 
            externalType = VARCHAR2; 
            name = typeStruct; 
            valueClassName = NSString; 
            width = 2; 
        }
    ); 
    attributesUsedForLocking = (
        numeroGroupe, 
        persId, 
        libelleGroupe, 
        numeroPere, 
        acces, 
        autorise, 
        aliasGroupe, 
        typeStruct
    ); 
    className = EOGenericRecord; 
    classProperties = (
        numeroGroupe, 
        libelleGroupe, 
        numeroPere, 
        acces, 
        autorise, 
        aliasGroupe, 
        persId, 
        typeStruct, 
        toRepartTypeGroupe, 
        toIndividu
    ); 
    externalName = V_STRUCTURES_AUTORISEES; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            numeroGroupe, 
            libelleGroupe, 
            numeroPere, 
            acces, 
            autorise, 
            aliasGroupe, 
            persId, 
            typeStruct, 
            toRepartTypeGroupe, 
            toIndividu
        ); 
        _nameInObjectStore = STRUCTURES_AUTORISEES_NEW; 
    }; 
    name = StructuresAutorisees; 
    primaryKeyAttributes = (numeroGroupe, autorise); 
    relationships = (
        {
            destination = IndividuUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = autorise; }); 
            name = toIndividu; 
        }, 
        {
            destination = RepartTypeGroupe; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = numeroGroupe; }); 
            name = toRepartTypeGroupe; 
        }
    ); 
}
